function out = ps_LST_lesiongrowing_run(job)

%     ps_LST_lesiongrowing_run.m - part of the LST toolbox
%     Copyright (C) 2012  Paul Schmidt
% 
%     This program is free software: you can redistribute it and/or modify
%     it under the terms of the GNU General Public License as published by
%     the Free Software Foundation, either version 3 of the License, or
%     (at your option) any later version.
% 
%     This program is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see <http://www.gnu.org/licenses/>.


if(numel(job.data_T1) ~= numel(job.data_FLAIR))
    error('Input data must have the same length.')
end

global data_lesiongrow
global segopts
global output
warning off;

for ii = 1:numel(job.data_T1)    
    out = job;
    T1 = job.data_T1(ii);
    FLAIR = job.data_FLAIR(ii);
    data_lesiongrow = {T1, FLAIR};
    segopts = job.segopts;
    output = job.output;
    ps_LST_lesiongrowing_batch;
    spm_jobman('initcfg');
    spm_jobman('run',matlabbatch);
end
warning on;
